### Virtual Method

# Meta Plugin size_change

#### Declaration [src]

    void
    size_change (
      MetaPlugin* plugin,
      MetaWindowActor* actor,
      MetaSizeChange which_change,
      MtkRectangle* old_frame_rect,
      MtkRectangle* old_buffer_rect
    )

#### Description [src]

Virtual function called when a window changes size to/from constraints.

#### Parameters

`actor`

  Type: `MetaWindowActor`

  No description available.

  The data is owned by the caller of the method.

`which_change`

  Type: `MetaSizeChange`

  No description available.

`old_frame_rect`

  Type: `MtkRectangle`

  No description available.

  The data is owned by the caller of the method.

`old_buffer_rect`

  Type: `MtkRectangle`

  No description available.

  The data is owned by the caller of the method.